Bug 227778 - A deadlock in NetigsoOSGiAutoloadActivationVisibleTest
A deadlock in NetigsoOSGiAutoloadActivationVisibleTest
Status: RESOLVED WONTFIX
Product: platform
Classification: Unclassified
Component: JDK Problems
7.4
PC Linux
: P3 (vote)
: 7.4
Assigned To: Antonin Nebuzelsky
issues@platform
jdk_bug_8010939
: TEST
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-21 15:43 UTC by Jiri Rechtacek
Modified: 2013-07-10 12:57 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
dumpstack with the deadlock (13.60 KB, text/plain)
2013-03-21 15:43 UTC, Jiri Rechtacek
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jiri Rechtacek 2013-03-21 15:43:58 UTC
Created attachment 132912 [details]
dumpstack with the deadlock

Build netbeans with JDK 7 and run all units tests
=> the attached deadlock found.

I'm going to temporarily switch off this test for don't block building NB on JDK 7.
Comment 1 Quality Engineering 2013-03-24 21:01:37 UTC
Integrated into 'main-golden', will be available in build *201303241718* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/65365c3c241d
User: Jiri Rechtacek <jrechtacek@netbeans.org>
Log: added RF to NetigsoOSGiActivationVisibleTest (#227778)
Comment 2 Jaroslav Tulach 2013-07-10 12:57:13 UTC
Deadlock in JDK reported as bug 8010939.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo